org.bouncycastle.asn1.cms

## Class CMSORIforKEMOtherInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.CMSORIforKEMOtherInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CMSORIforKEMOtherInfo
      extends ASN1Object

        CMSORIforKEMOtherInfo ::= SEQUENCE {
           wrap KeyEncryptionAlgorithmIdentifier,
           kekLength INTEGER (1..65535),
           ukm [0] EXPLICIT UserKeyingMaterial OPTIONAL
         }

         UserKeyingMaterial ::= OCTET STRING

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMSORIforKEMOtherInfo(AlgorithmIdentifier wrap, int kekLength)`
    `CMSORIforKEMOtherInfo(AlgorithmIdentifier wrap, int kekLength, byte[] ukm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMSORIforKEMOtherInfo

          public CMSORIforKEMOtherInfo(AlgorithmIdentifier wrap,
                                       int kekLength)

    - #### CMSORIforKEMOtherInfo

          public CMSORIforKEMOtherInfo(AlgorithmIdentifier wrap,
                                       int kekLength,
                                       byte[] ukm)

  - ### Method Detail

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.